defmodule ToweropsWeb.UserRegistrationHTMLTest do
  use ToweropsWeb.ConnCase, async: true

  import Phoenix.Template, only: [render_to_string: 4]

  alias Towerops.Accounts.User

  describe "new.html" do
    test "renders registration form" do
      changeset = User.email_changeset(%User{}, %{})

      html =
        render_to_string(ToweropsWeb.UserRegistrationHTML, "new", "html",
          flash: %{},
          current_scope: nil,
          changeset: changeset
        )

      assert html =~ "Register for an account"
      assert html =~ "Already registered?"
      assert html =~ "Log in"
      assert html =~ "Create an account"
    end
  end
end
